My Account     Contact Us     Cart

Android 4.4.2: which version of Avenza Maps?

Home Forums Avenza Maps General Android 4.4.2: which version of Avenza Maps?

This topic contains 2 replies, has 2 voices, and was last updated by  oliver 1 month, 1 week ago.

Viewing 3 posts - 1 through 3 (of 3 total)
  • Author
    Posts
  • #18520

    walt.gallus
    Participant

    Hi
    I have an old Samsung Galaxy S4 mini GT-19195. Android Version 4.4.2. It will not install Avenza Maps in the current version. Which previous version (as apk download) do I need?

    Thanks and regards

    Walt Gallus

    #18524

    walt.gallus
    Participant

    In the meantime I have learnt that the version I need is apparently 3.2.2 and that Avenza does not recommend to download .apk from the internet. However I cannot not update my Samsung Galaxy S4 mini higher than 4.4.2 and would not like to loose all the maps I have purchased. Neither can I afford to buy a new smartphone just because one app is no longer compatible.

    Walt Gallus

    #18551

    oliver
    Moderator

    Hello Walt,

    Unfortunately, we no longer support version 3.2.2 for Android OS 4. Avenza Maps 3.6 is compatible with Android 6.0 and higher. If your device is not running Android 6.0 (or newer) or is not able to update to OS 6.0 or newer then you will be unable to download the app from the Google Play Store.

    If you have purchased maps on the Avenza Map Store, you would not lose them as they are saved to your Map Store account and can be easily downloaded onto a new device from your Purchase History. If you need any help with this in the future, please do not hesitate to reach out to us at help.avenza.com.

    Kind Regards,
    Oliver
    Avenza Support

Viewing 3 posts - 1 through 3 (of 3 total)

You must be logged in to reply to this topic. Log in or register here